Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class PCI.Record

    java.lang.Object
      com.xensource.xenapi.PCI.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  PCI

    public static class PCI.Record

extends Object
implements Types.Record

Represents all the fields in a PCI

Field Summary
`String` | `clazzName` PCI class name
`Set<PCI>` | `dependencies` List of dependent PCI devices
`String` | `deviceName` Device name
`Host` | `host` Physical machine that owns the PCI device
`Map<String,String>` | `otherConfig` Additional configuration
`String` | `pciId` PCI ID of the physical device
`String` | `uuid` Unique identifier/object reference
`String` | `vendorName` Vendor name

Constructor Summary
`PCI.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a PCI.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### clazzName

    public String clazzName

  PCI class name

### vendorName

    public String vendorName

  Vendor name

### deviceName

    public String deviceName

  Device name

### host

    public Host host

  Physical machine that owns the PCI device

### pciId

    public String pciId

  PCI ID of the physical device

### dependencies

    public Set<PCI> dependencies

  List of dependent PCI devices

### otherConfig

    public Map<String,String> otherConfig

  Additional configuration

Constructor Detail

### PCI.Record

    public PCI.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a PCI.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD